{ pkgs, ... }@all: with all; {
  xdg = {
    enable = true;
    configHome = "${hyper.home}.config";
    cacheHome = "${hyper.home}.cache";
    dataHome = "${hyper.home}.local/share";
    stateHome = "${hyper.home}.local/state";
    mimeApps = {
      enable = true;
      defaultApplications = let
          browser = "firefox.desktop";
          image = "imv.desktop";
        in {
          "default-web-browser" = [ browser ];
          "text/html" = [ browser ];
          "text/htm" = [ browser ];
          "x-scheme-handler/http" = [ browser ];
          "x-scheme-handler/https" = [ browser ];
          "x-scheme-handler/about" = [ browser ];
          "x-scheme-handler/unknown" = [ browser ];
          "x-scheme-handler/mailto" = "thunderbird.desktop";
          "image/png" = image;
          "image/jpg" = image;
          "image/jpeg" = image;
          "image/webp" = image;
          "image/gif" = image;
          "application/pdf" = "zathura.desktop";
          "inode/directory" = "thunar.desktop";
        };
    };
  };
}
